xine-lib: directfb_driver_s Struct Reference

xine-lib 1.2.12

Data Fields
directfb_driver_s Struct Reference

## Data Fields
vo_driver_t | vo_driver
int | visual_type
uint32_t | capabilities
xine_t * | xine
directfb_frame_t * | cur_frame
IDirectFB * | dfb
IDirectFBDisplayLayer * | underlay
IDirectFBDisplayLayer * | layer
IDirectFBSurface * | surface
DFBDisplayLayerTypeFlags | type
DFBDisplayLayerCapabilities | caps
DFBDisplayLayerConfig | config
DFBColorAdjustment | cadj
DFBColorAdjustment | default_cadj
int | default_level
int | visible
IDirectFBDisplayLayer * | spic_layer
IDirectFBSurface * | spic_surface
IDirectFBSurface * | temp
int | temp_frame_width
int | temp_frame_height
DFBSurfacePixelFormat | temp_frame_format
int | hw_deinterlace
int | deinterlace
int | buffermode
int | vsync
int | colorkeying
uint32_t | colorkey
int | flicker_filtering
int | field_parity
int | ovl_changed
int | screen_width
int | screen_height
vo_scale_t | sc
alphablend_t | alphablend_extra_data

## Field Documentation

## ◆ alphablend_extra_data

alphablend_t directfb_driver_s::alphablend_extra_data

## ◆ buffermode

int directfb_driver_s::buffermode

## ◆ cadj

DFBColorAdjustment directfb_driver_s::cadj

## ◆ capabilities

uint32_t directfb_driver_s::capabilities

## ◆ caps

DFBDisplayLayerCapabilities directfb_driver_s::caps

## ◆ colorkey

uint32_t directfb_driver_s::colorkey

## ◆ colorkeying

int directfb_driver_s::colorkeying

## ◆ config

DFBDisplayLayerConfig directfb_driver_s::config

## ◆ cur_frame

directfb_frame_t* directfb_driver_s::cur_frame

## ◆ default_cadj

DFBColorAdjustment directfb_driver_s::default_cadj

## ◆ default_level

int directfb_driver_s::default_level

## ◆ deinterlace

int directfb_driver_s::deinterlace

## ◆ dfb

IDirectFB* directfb_driver_s::dfb

## ◆ field_parity

int directfb_driver_s::field_parity

## ◆ flicker_filtering

int directfb_driver_s::flicker_filtering

## ◆ hw_deinterlace

int directfb_driver_s::hw_deinterlace

## ◆ layer

IDirectFBDisplayLayer* directfb_driver_s::layer

## ◆ ovl_changed

int directfb_driver_s::ovl_changed

## ◆ sc

vo_scale_t directfb_driver_s::sc

## ◆ screen_height

int directfb_driver_s::screen_height

## ◆ screen_width

int directfb_driver_s::screen_width

## ◆ spic_layer

IDirectFBDisplayLayer* directfb_driver_s::spic_layer

## ◆ spic_surface

IDirectFBSurface* directfb_driver_s::spic_surface

## ◆ surface

IDirectFBSurface* directfb_driver_s::surface

## ◆ temp

IDirectFBSurface* directfb_driver_s::temp

## ◆ temp_frame_format

DFBSurfacePixelFormat directfb_driver_s::temp_frame_format

## ◆ temp_frame_height

int directfb_driver_s::temp_frame_height

## ◆ temp_frame_width

int directfb_driver_s::temp_frame_width

## ◆ type

DFBDisplayLayerTypeFlags directfb_driver_s::type

## ◆ underlay

IDirectFBDisplayLayer* directfb_driver_s::underlay

## ◆ visible

int directfb_driver_s::visible

## ◆ visual_type

int directfb_driver_s::visual_type

## ◆ vo_driver

vo_driver_t directfb_driver_s::vo_driver

## ◆ vsync

int directfb_driver_s::vsync

## ◆ xine

xine_t* directfb_driver_s::xine

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/video_out_directfb.c